﻿/// <summary>
/// Developer: CHOOI KAH WAI
/// Last Modified: 16/11/2009
/// </summary>

namespace ARSS.Common
{
    /// <summary>
    /// Network action codes to determine packets usage
    /// </summary>
    public enum NetworkActionCodesEnum
    {
        UserNickname = 1,       // Client login with nickname
        SendSceneData,          // Host sendt scene data to client
        StartSession,           // Host started the session
        SetSceneAnimation,      // Host set animation to be played
        LockNode,               // Client locked a scene node
        ReleaseNode,            // Client released a scene node
        UpdateMatrix            // Client updates locked scene node transformation matrix

    }

}