﻿/// <summary>
/// Developer: CHOOI KAH WAI
/// Last Modified: 22/11/2009
/// </summary>

using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ARSS.Editor
{
	/// <summary>
	/// Interaction logic for NewAnimationSetWindow.xaml
	/// </summary>
	public partial class NewAnimationSetWindow : Window
    {
        #region Functions

        /// <summary>
        /// Constructor
        /// </summary>
        public NewAnimationSetWindow()
		{
			this.InitializeComponent();
			
			// Insert code required on object creation below this point.
		}

        /// <summary>
        /// OK button clicked
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
		private void OKButton_Click(object sender, System.Windows.RoutedEventArgs e)
		{
            if (NameTextBox.Text.Length <= 0)
            {
                MessageBox.Show("Animation name cannot be blank.", "Error", MessageBoxButton.OK, MessageBoxImage.Error);
                return;
            }
            this.DialogResult = true;
		}

        /// <summary>
        /// Cancel button clicked
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
		private void CancelButton_Click(object sender, System.Windows.RoutedEventArgs e)
		{
            this.DialogResult = false;
        }

        #endregion
    }
}